package com.bocloud.cmp.provider.hillstone;

import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;
import com.bocloud.nms.model.hillstone.VpnIpsecConfigModel;

public interface VpnIpsecConfigProvider extends SuperProvider {

    /**
     * 创建Vpn-Ipsec配置
     *
     * @param vpnIpsecConfigModel Vpn-Ipsec配置
     * @return
     */
    BocloudResult create(VpnIpsecConfigModel vpnIpsecConfigModel);

    BocloudResult update(VpnIpsecConfigModel vpnIpsecConfigModel);

    BocloudResult delete(VpnIpsecConfigModel vpnIpsecConfigModel);

}
